-- Configuration file for language support
-- To add support for your language, follow these steps:
-- 1. Create a new table for your language, using the 2-letter language code as the key (e.g. "fr" for French, "es" for Spanish, etc.)
-- 2. Translate the text for each key in the table
-- 3. Add the new table to the "idiomas" table

local config = {
  idiomas = {
    -- Portuguese (pt)
    ["pt"] = {
      ["RECONHECIMENTO_ITEM_FOCO"] = "Reconhecimento do item em Foco",
      ["RECONHECIMENTO_TELA_COMPLETA"] = "Reconhecimento de toda a tela",
      ["SALVAR_IMAGENS_DISPOSITIVO"] = "Deseja salvar as imagens no dispositivo?",
      ["COPIAR_NOME_IMAGEM"] = "Copiar imagem para área de transferência?",
      ["ERRO_SALVAR_CONFIGURACOES"] = "Erro ao salvar configurações.",
      ["ERRO_OBTER_RESULTADO"] = "Erro ao obter o resultado: ",
      ["ERRO_REQUISICAO"] = "Erro na requisição: ",
      ["TEMPO_LIMITE_EXCEDIDO"] = "Tempo limite excedido",
      ["PROCESSANDO_IMAGEM"] = "Processando imagem, aguarde.",
      ["FALAR_DIALOGO"] = "Falar a descrição em um diálogo ou diretamente?",
      ["DIRETAMENTE"] = "Diretamente.",
      ["EM_DIALOGO"] = "Em diálogo.",
      ["SIM"] = "Sim",
      ["NAO"] = "Não",
    },
    -- Spanish (es)
    ["es"] = {
      ["RECONHECIMENTO_ITEM_FOCO"] = "Reconocer enfoque",
      ["RECONHECIMENTO_TELA_COMPLETA"] = "Reconocer pantalla completa",
      ["SALVAR_IMAGENS_DISPOSITIVO"] = "Quieres guardar las imágenes en tu dispositivo?",
      ["COPIAR_NOME_IMAGEM"] = "Quieres copiar al portapapeles el nombre de las imágenes?",
      ["ERRO_SALVAR_CONFIGURACOES"] = "Error al guardar la configuración.",
      ["ERRO_OBTER_RESULTADO"] = "Error al obtener el resultado: ",
      ["ERRO_REQUISICAO"] = "error en la solicitud: ",
      ["TEMPO_LIMITE_EXCEDIDO"] = "límite de tiempo excedido",
      ["PROCESSANDO_IMAGEM"] = "Procesando imagen, por favor espera.",
      ["SIM"] = "Sí",
      ["NAO"] = "No",
      ["FALAR_DIALOGO"] = "Quieres que la descripción se muestre en un diálogo?",
      ["DIRETAMENTE"] = "Solo decir descripción",
      ["EM_DIALOGO"] = "Mostrar descripción en un diálogo",
        },
    -- Add your language here, for example:
    -- ["fr"] = {
    --   ["RECONHECIMENTO_ITEM_FOCO"] = "Reconnaissance de l'item en focus",
    --   ["RECONHECIMENTO_TELA_COMPLETA"] = "Reconnaissance de l'écran complet",
    --   ...
    -- }
  }
}

-- Note: Currently, only 2-letter language codes are supported (e.g. "pt", "es", "fr", etc.)
-- If you need to support a language with a longer code (e.g. "pt_BR", "en_US"), you will need to modify the code to handle this.

return config